Skip to main content
POST
/
deposit-addresses
Please use the identical endpoint under https://api.rhino.fi/sda. The sda endpoints here exist only for backwards compatibility and will be removed in the future. If you use the SDK, please upgrade to the latest version which uses the correct endpoint.
curl --request POST \
  --url https://api.rhino.fi/bridge/deposit-addresses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "depositChains": [
    "<string>"
  ],
  "destinationChain": "<string>",
  "destinationAddress": "<string>",
  "tokenOut": "<string>",
  "addressNote": "<string>",
  "reusePolicy": "create-new",
  "postBridgeData": {
    "_tag": "extended",
    "vaultId": 1
  },
  "webhookUrl": "<string>",
  "refundAddress": "<string>",
  "bridgeIfNotSwappable": true
}
'
[
  {
    "depositChain": "<string>",
    "depositAddress": "<string>",
    "destinationChain": "<string>",
    "supportedTokens": [
      {
        "symbol": "<string>",
        "address": "<string>",
        "maxDepositLimitUsd": 1,
        "minDepositLimitUsd": 1
      }
    ],
    "isActive": true,
    "destinationAddress": "<string>",
    "addressNote": "<string>",
    "postBridgeData": {
      "_tag": "extended",
      "vaultId": 1
    },
    "tokenOut": "<string>",
    "refundAddress": "<string>",
    "bridgeIfNotSwappable": true
  }
]

Authorizations

Authorization
string
header
required

JWT token for authentication

Body

application/json
depositChains
string[]
required

Array of blockchain chain identifiers where deposit addresses should be created (e.g., ["ETHEREUM", "ARBITRUM"]).

Minimum array length: 1

a non empty string

Minimum string length: 1
destinationChain
string
required

The blockchain chain identifier for the destination address (e.g., "BASE").

Minimum string length: 1
destinationAddress
string
required

The blockchain address where bridged tokens will be sent.

Minimum string length: 1
tokenOut
string

Token to be received on the destination address. The deposited token will be swapped automatically if needed.

Minimum string length: 1
addressNote
string

Optional note or label for the deposit address (max 80 characters).

Maximum string length: 80
reusePolicy
enum<string>

Whether to reuse an existing deposit address that matches the given parameters or always create a new one. By default an existing address is reused unless create-new is specified.

Available options:
create-new,
reuse-existing
postBridgeData
object

Optional configuration for post-bridge actions (e.g., staking, lending). Must be omitted if your client does not have PBA enabled. See https://docs.rhino.fi/api-integration/smart-deposits#post-bridge-data for details.

webhookUrl
string

Optional URL for webhook notifications when deposits are processed.

refundAddress
string

Optional address for refunds in case of processing failures.

Minimum string length: 1
bridgeIfNotSwappable
boolean

Only valid if tokenOut is set as well. If true, deposited tokens that cannot be swapped to the tokenOut will be bridged instead of causing a failed bridge.

Response

Success

depositChain
string
required

The blockchain network identifier where the deposit address is located.

Minimum string length: 1
depositAddress
string
required

The generated deposit address where users should send tokens.

Minimum string length: 1
destinationChain
string
required

The blockchain network identifier where bridged tokens will be sent.

Minimum string length: 1
supportedTokens
object[]
required

List of tokens that can be deposited to this address.

isActive
boolean
required

Whether this deposit address is currently active and accepting deposits.

destinationAddress
string

The destination address where bridged tokens will be sent (optional).

Minimum string length: 1
addressNote
string

Optional note or label for the deposit address (max 80 characters).

Maximum string length: 80
postBridgeData
object

Optional configuration for post-bridge actions (e.g., staking, lending). Must be omitted if your client does not have PBA enabled. See https://docs.rhino.fi/api-integration/smart-deposits#post-bridge-data for details.

tokenOut
string

Optional token to receive after bridging (for token swaps).

refundAddress
string

Optional address for refunds if bridging fails.

Minimum string length: 1
bridgeIfNotSwappable
boolean

Whether to bridge tokens even if they cannot be swapped (optional).